Subject: Re: [Taps] on draft-ietf-taps-transports-usage-02

From: Michael Welzl <[email-masked]>
Date: Wed, 16 Nov 2016 17:25:42 +0900

Including the TAPS list by permission of Dave:

> On Nov 16, 2016, at 10:18 AM, Dave Dolson <[email-masked]> wrote:
> 
> Michael,
> I’m not sure you understood my question from the mic.
> I was trying to ask about the facility provided by IP_BINDANY option.
> (e.g., described here: http://www.unix.com/man-page/freebsd/4/ip/ <http://www.unix.com/man-page/freebsd/4/ip/>)

Thanks!  I wasn’t aware about this functionality - indeed when you talked about “binding to any” I assumed you mean opening a connection to listen on all interfaces.
(there are some subtle differences there - TCP, SCTP and UDP(-Lite) allow to listen on 1 or all interfaces, but TCP doesn’t allow to listen on a specific subset ( > 1) of interfaces, at least according to the spec).

> I’m guessing you would not include it because it isn’t implemented on all systems, but I wanted to clarify.

No, we wouldn’t include this, but not because it’s not available everywhere but because it’s not a part of the TCP RFCs  (unless I missed it!  I’d love to be pointed at it in this case!).

As I said, I think this is the right time to start collecting things to discuss in an appendix: cool functions that people like but are not a part of the TCPs. This one could go in there - if you could offer me a very short description (approx 2-3 sentences is enough), that would be perfect.

> Also, I’m wondering about whether supporting IPv4 and IPv6 should be mentioned?
> I’m particularly fond of support for the IPv4-mapped-IPv6 address described here: https://tools.ietf.org/html/rfc4291#section-2.5.5.2 <https://tools.ietf.org/html/rfc4291#section-2.5.5.2>
We base this off current protocols, which all talk about addresses and not about v4 vs. v6.

On a related note, in TAPS BOFs, several persons expressed their wish to “go all the way” and abstract away IP addresses just as well. I like this idea very much, but we didn’t do this back then as we were trying to keep things narrow enough to get the group off the ground. So now it’s not a part of the charter, and not a part of the documents… but, e.g., our implementation in the NEAT project lets you connect to a name, not an address.

Maybe a hint in this direction could be included in one of the docs about the third item.

Cheers,
Michael